from direct.showbase.DirectObject import DirectObject
import ncore.panel
import ncore.ui

from ncore import panel

def makeFrame(cadWin):
    frame=panel.MainWin(None)
    win=frame.pandaPanel.win
    cadWin.win=win
    ncore.ui.getBase().cadWins.append(cadWin)
    return frame

class View(DirectObject):
    def __init__(self, pandaPanel):
        ncore.ui.getBase().view3ds.append(self)
        pandaPanel.setView(self)
        self.win=pandaPanel.win
        pandaPanel.setView(self)

class Window(View):
    def __init__(self):
        self.frame=ncore.panel.MainWin(None)
        View.__init__(self, self.frame.pandaPanel)
        self.frame=makeFrame(self)

    def _preRender(self):
        pass
    def _checkEvents(self):
        self.frame.Show()
